<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml">
  <!-- param name = order / the order to fill out -->
  <!-- fill randomly button -->
  <s:decorate template="/common/fillingAbstractOrder.xhtml">
    <ui:param name="valueResultStatus" value="false"/>
    <ui:define name="selectUniversalServiceId">
      <s:decorate template="/layout/edit.xhtml">
        <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
        <h:selectOneMenu value="#{order.universalServiceId}" required="true">
          <f:selectItems value="#{valueSet.getListOfConcepts('troUniversalServiceId')}"/>
        </h:selectOneMenu>
      </s:decorate>
    </ui:define>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.ProcedureCode']}</ui:define>
    <h:selectOneMenu value="#{order.procedureCode}" required="true">
      <f:selectItems value="#{valueSet.getListOfConcepts('troProcedure')}"/>
    </h:selectOneMenu>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.ProcedureDescription']}</ui:define>
    <h:inputText value="#{order.procedureDescription}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.Views']}</ui:define>
    <h:inputText value="#{order.views}"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.RelevantClinicalInfo']}</ui:define>
    <h:inputText value="#{order.relevantClinicalInfo}" size="60"/>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.SourceOfImagingStudy']}</ui:define>
    <h:selectOneMenu value="#{order.imagingStudySource}" required="true">
      <f:selectItem itemValue="Order_Creator" itemLabel="#{messages['gazelle.ordermanager.OrderCreator']}"/>
      <f:selectItem itemValue="Shared_Repository" itemLabel="#{messages['gazelle.ordermanager.SharedRepository']}"/>
    </h:selectOneMenu>
  </s:decorate>
  <s:decorate template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['gazelle.ordermanager.Comments']}</ui:define>
    <h:inputText value="#{order.comment}" size="60"/>
  </s:decorate>
</ui:composition>
